> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datacrazy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Buscar pipelines



## OpenAPI

````yaml https://api.datacrazy.io/v1/api/openapi/v1/json get /api/v1/pipelines
openapi: 3.0.0
info:
  title: API CRM Datacrazy
  description: Versão 1.0 da API do CRM Datacrazy
  version: '1.0'
  contact: {}
servers:
  - url: https://api.g1.datacrazy.io
security: []
tags: []
paths:
  /api/v1/pipelines:
    get:
      tags:
        - Pipelines
      summary: Buscar pipelines
      operationId: PipelinesV1Controller_get
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedResponseDto'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/PipelineDto'
      security:
        - access-token: []
components:
  schemas:
    PaginatedResponseDto:
      type: object
      properties:
        count:
          type: number
          example: 100
      required:
        - count
    PipelineDto:
      type: object
      properties:
        id:
          type: string
          example: 9c315181-85f2-4772-bd46-8b261599e382
          description: ID da pipeline.
        createdAt:
          format: date-time
          type: string
          example: '2025-09-09T16:25:16.727Z'
          description: Data de criação da pipeline.
        updatedAt:
          format: date-time
          type: string
          example: '2025-09-19T20:39:49.680Z'
          description: Data da última atualização da pipeline.
        deletedAt:
          format: date-time
          type: string
          example: null
          description: Data de exclusão da pipeline (se aplicável).
        name:
          type: string
          example: pipe 1
          description: Nome da pipeline.
        description:
          type: string
          example: Pipeline para gerenciamento de vendas online
          description: Descrição da pipeline.
        group:
          type: string
          example: Clientes recorrentes
          description: Grupo da pipeline.
        stagesCount:
          type: number
          example: 3
          description: Número de etapas na pipeline.
  securitySchemes:
    access-token:
      scheme: bearer
      bearerFormat: JWT
      type: http

````